Pipeline Templates (Deprecated)
Update Template
Update template metadata. Admin-only.
PUT
/
api
/
v1
/
pipeline_templates
/
{slug}
Update Template
import requests
url = "https://www.datalab.to/api/v1/pipeline_templates/{slug}"
payload = {
"template_description": "<string>",
"template_category": "<string>",
"sort_order": "123",
"name": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)curl --request PUT \
--url https://www.datalab.to/api/v1/pipeline_templates/{slug} \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'X-API-Key: <api-key>' \
--data 'template_description=<string>' \
--data 'template_category=<string>' \
--data sort_order=123 \
--data 'name=<string>'const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/x-www-form-urlencoded'},
body: new URLSearchParams({
template_description: '<string>',
template_category: '<string>',
sort_order: '123',
name: '<string>'
})
};
fetch('https://www.datalab.to/api/v1/pipeline_templates/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.datalab.to/api/v1/pipeline_templates/{slug}"
payload := strings.NewReader("template_description=%3Cstring%3E&template_category=%3Cstring%3E&sort_order=123&name=%3Cstring%3E")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"processor_id": "<string>",
"slug": "<string>",
"name": "<string>",
"template_description": "<string>",
"template_category": "<string>",
"request_description": "<string>",
"example_files": [
{
"filename": "<string>",
"file_size": 123,
"content_type": "application/pdf"
}
],
"display_config": {
"recommended_view": "<string>",
"changes_description": "<string>",
"highlight_css": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Path Parameters
Body
application/x-www-form-urlencoded
Response
Successful Response
Detailed template info.
Show child attributes
Show child attributes
Configuration for how the UI should display template results.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update Template
import requests
url = "https://www.datalab.to/api/v1/pipeline_templates/{slug}"
payload = {
"template_description": "<string>",
"template_category": "<string>",
"sort_order": "123",
"name": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)curl --request PUT \
--url https://www.datalab.to/api/v1/pipeline_templates/{slug} \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'X-API-Key: <api-key>' \
--data 'template_description=<string>' \
--data 'template_category=<string>' \
--data sort_order=123 \
--data 'name=<string>'const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/x-www-form-urlencoded'},
body: new URLSearchParams({
template_description: '<string>',
template_category: '<string>',
sort_order: '123',
name: '<string>'
})
};
fetch('https://www.datalab.to/api/v1/pipeline_templates/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.datalab.to/api/v1/pipeline_templates/{slug}"
payload := strings.NewReader("template_description=%3Cstring%3E&template_category=%3Cstring%3E&sort_order=123&name=%3Cstring%3E")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"processor_id": "<string>",
"slug": "<string>",
"name": "<string>",
"template_description": "<string>",
"template_category": "<string>",
"request_description": "<string>",
"example_files": [
{
"filename": "<string>",
"file_size": 123,
"content_type": "application/pdf"
}
],
"display_config": {
"recommended_view": "<string>",
"changes_description": "<string>",
"highlight_css": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}